package bou.amine.apps.readerforselfossv2.dao

import android.content.Context
import app.cash.sqldelight.db.SqlDriver
import app.cash.sqldelight.driver.android.AndroidSqliteDriver

actual class DriverFactory(private val context: Context) {
    actual fun createDriver(): SqlDriver {
        return AndroidSqliteDriver(
            ReaderForSelfossDB.Schema,
            context,
            "ReaderForSelfossV2-android.db",
        )
    }
}
